[问题]编译stardict svn125出现问题

为当前最终发行版之前的所有版本提供支持
回复
ahlongxp
帖子: 209
注册时间: 2006-03-06 19:16
送出感谢: 0
接收感谢: 0
联系:

[问题]编译stardict svn125出现问题

#1

帖子 ahlongxp » 2007-03-31 13:17

从svn下了最新的源码。
./autogen.sh
出现如下错误
…………
configure.in:14: error: possibly undefined macro: AC_PROG_INTLTOOL
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1
sudo apt-get install intltoo

autogen.sh 成功(有警告)
autogen.sh部分输出
Generating configuration files for Stardict, please wait....

Running libtoolize, please ignore non-fatal messages....
Running aclocal....
Running autoheader....
Running automake --add-missing --copy....
automake: data/Makefile.am: warning: automake does not support EXTRA_DIST being defined conditionally
src/Makefile.am:24: else without if
src/Makefile.am:22: CONFIG_FILE_MODULE defined both conditionally and unconditionally
src/Makefile.am:36: endif without if
src/Makefile.am:38: variable `ISKEYSPRESSED' not defined
src/Makefile.am:38: variable `ISKEYSPRESSED' not defined
automake: src/Makefile.am: warning: automake does not support EXTRA_DIST being defined conditionally
automake: src/sigc++/Makefile.am: not supported: source file `functors/slot.cc' is in subdirectory

automake: tests/Makefile.am: not supported: source file `$(top_builddir)/src/gconf_file.hpp' is in subdirectory
automake: tests/Makefile.am: not supported: source file `$(top_builddir)/src/utils.h' is in subdirectory
./configure 成功
make
时如下错误
make all-recursive
make[1]: Entering directory `/media/hda5/stardict'
Making all in m4
make[2]: Entering directory `/media/hda5/stardict/m4'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/media/hda5/stardict/m4'
Making all in src
make[2]: Entering directory `/media/hda5/stardict/src'
Makefile:603: *** missing separator. Stop.
make[2]: Leaving directory `/media/hda5/stardict/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/media/hda5/stardict'
make: *** [all-recursive-am] Error 2
谁来帮帮忙
回复

回到 “老旧版本支持”